summaryrefslogtreecommitdiff
path: root/app-emulation/vagrant/files
diff options
context:
space:
mode:
authorV3n3RiX <venerix@redcorelinux.org>2019-05-21 10:20:03 +0100
committerV3n3RiX <venerix@redcorelinux.org>2019-05-21 10:20:03 +0100
commit6f8038813c460b4f0572d5ef595cdfa94af3a94d (patch)
tree3509e94070265053394b7f2e30a779d7e60c2064 /app-emulation/vagrant/files
parenteccb70a7f91b2d22582587f26d1a28bb31408b45 (diff)
gentoo resync : 21.05.2019
Diffstat (limited to 'app-emulation/vagrant/files')
-rw-r--r--app-emulation/vagrant/files/vagrant-r1.in61
-rw-r--r--app-emulation/vagrant/files/vagrant.in2
2 files changed, 62 insertions, 1 deletions
diff --git a/app-emulation/vagrant/files/vagrant-r1.in b/app-emulation/vagrant/files/vagrant-r1.in
new file mode 100644
index 000000000000..fd35177c6fe0
--- /dev/null
+++ b/app-emulation/vagrant/files/vagrant-r1.in
@@ -0,0 +1,61 @@
+#!/usr/bin/env bash
+#
+# This is a wrapper to properly execute Vagrant within the embedded
+# Vagrant installation directory. This sets up proper environmental variables
+# so that everything loads and compiles to proper directories.
+
+for r in ruby26 ruby25 ruby24; do
+ # not all ruby versions are guaranteed to be installed
+ if ! command -v "${r}" >/dev/null 2>&1; then
+ continue
+ fi
+
+ VAGRANT_DIR="$( "${r}" -e 'print Gem::default_path[-1] + "/gems/vagrant-@VAGRANT_VERSION@"' )"
+
+ # Export the VAGRANT_EXECUTABLE so that pre-rubygems can optimize a bit
+ export VAGRANT_EXECUTABLE="${VAGRANT_DIR}/bin/vagrant"
+
+ if [ -f ${VAGRANT_EXECUTABLE} ] ;then
+ ruby="${r}"
+ break
+ fi
+done
+
+if [ -z ${ruby} ]; then
+ echo "Error: failed to find any usable ruby"
+ exit 1
+fi
+
+# Export GEM_HOME based on VAGRANT_HOME
+#
+# This needs to be set because Bundler includes gem paths
+# from RubyGems' Gem.paths.
+if [ -z ${VAGRANT_HOME} ]; then
+ VAGRANT_HOME="~/.vagrant.d"
+fi
+export GEM_HOME="${VAGRANT_HOME}/gems"
+
+# SSL certs
+export SSL_CERT_FILE="/etc/ssl/certs/ca-certificates.crt"
+
+# Export an environmental variable to say we're in a Vagrant
+# installer created environment.
+export VAGRANT_INSTALLER_ENV=1
+
+# This is currently used only in Vagrant::Plugin::Manager.system_plugins_file
+# to locate plugins configuration file.
+export VAGRANT_INSTALLER_EMBEDDED_DIR="/var/lib/vagrant"
+export VAGRANT_INSTALLER_VERSION=2
+
+# Export the OS as an environmental variable that Vagrant can access
+# so that it can behave better.
+export VAGRANT_DETECTED_OS="$(uname -s 2>/dev/null)"
+
+# Allow to install plugins even with deps in different slots (Bug #628648)
+export VAGRANT_DISABLE_STRICT_DEPENDENCY_ENFORCEMENT=1
+
+# Make it work with rvm (Bugs #474476 #628648)
+unset GEM_HOME GEM_PATH
+
+# Call the actual Vagrant bin with our arguments
+exec "${ruby}" "${VAGRANT_EXECUTABLE}" "$@"
diff --git a/app-emulation/vagrant/files/vagrant.in b/app-emulation/vagrant/files/vagrant.in
index ee5e48c21541..86fa86fe5910 100644
--- a/app-emulation/vagrant/files/vagrant.in
+++ b/app-emulation/vagrant/files/vagrant.in
@@ -4,7 +4,7 @@
# Vagrant installation directory. This sets up proper environmental variables
# so that everything loads and compiles to proper directories.
-for r in ruby25 ruby24 ruby23; do
+for r in ruby25 ruby24; do
# not all ruby versions are guaranteed to be installed
if ! command -v "${r}" >/dev/null 2>&1; then
continue